<html>
<head>
<title>OGRE: Ogre::Profiler Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Profiler.html">Profiler</a></div>
<h1>Ogre::Profiler Class Reference</h1><!-- doxytag: class="Ogre::Profiler" --><!-- doxytag: inherits="Ogre::Singleton" -->The profiler allows you to measure the performance of your code.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Profiler:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1Profiler-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#a35c96681ded2faf493defa432ce6a04">Profiler</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#45e1f8ac11468a9322148be4e22e85de">~Profiler</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#53a2d2681a3995555df6d789c5596381">setTimer</a> (<a class="el" href="classOgre_1_1Timer.html">Timer</a> *t)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the timer for the profiler.  <a href="#53a2d2681a3995555df6d789c5596381"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Timer.html">Timer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#135db4d26db8d359fb77d20189379bd7">getTimer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the timer for the profiler.  <a href="#135db4d26db8d359fb77d20189379bd7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#e58e29b4abda1e9333bb56cea58ef737">beginProfile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Begins a profile.  <a href="#e58e29b4abda1e9333bb56cea58ef737"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#566da4faffe1302c754596b980114e24">endProfile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Ends a profile.  <a href="#566da4faffe1302c754596b980114e24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#91c40e21a3fc96003504ea21fec80d77">setEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether this profiler is enabled.  <a href="#91c40e21a3fc96003504ea21fec80d77"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#ca476edd8f31cd3f456899f4d94b4d50">getEnabled</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether this profiler is enabled.  <a href="#ca476edd8f31cd3f456899f4d94b4d50"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#52e2f0d3530febbbf7199173d91ad4e2">enableProfile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enables a previously disabled profile.  <a href="#52e2f0d3530febbbf7199173d91ad4e2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#144fc3944f41b1198a44590beda4ce3f">disableProfile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Disables a profile.  <a href="#144fc3944f41b1198a44590beda4ce3f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#fc737d10ba6b5732df9a538a196ee3e6">watchForMax</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the specified profile reaches a new frame time maximum.  <a href="#fc737d10ba6b5732df9a538a196ee3e6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#d37efd3a99cf736a0424fd0c1c92efb4">watchForMin</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the specified profile reaches a new frame time minimum.  <a href="#d37efd3a99cf736a0424fd0c1c92efb4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#dfd868a7f9213baece5687bd36e23279">watchForLimit</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> limit, bool greaterThan=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the specified profile goes over or under the given limit frame time.  <a href="#dfd868a7f9213baece5687bd36e23279"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#456a0f133ccea3eb515626edd22963ec">logResults</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Outputs current profile statistics to the log.  <a href="#456a0f133ccea3eb515626edd22963ec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#df2570f07addb553a852a003c97fdc12">reset</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the profiler statistics.  <a href="#df2570f07addb553a852a003c97fdc12"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#c29d425e0f0b531f2c7f643907c9402d">setUpdateDisplayFrequency</a> (<a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> freq)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> so the display of results are updated ever n frames.  <a href="#c29d425e0f0b531f2c7f643907c9402d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#bf15da1111321dc8604e53b606664815">getUpdateDisplayFrequency</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the frequency that the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> display is updated.  <a href="#bf15da1111321dc8604e53b606664815"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Profiler.html">Profiler</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#aa925dad8392fe140d017a5766f3cd49">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#aa925dad8392fe140d017a5766f3cd49"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Profiler.html">Profiler</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#01ec79ba4ba7a539bfd742e120c1ff21">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#01ec79ba4ba7a539bfd742e120c1ff21"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">ProfileInstance</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#abc874a9dc62ed84fb0315fd10f3ca4c">ProfileStack</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">ProfileFrame</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#c7a8f9ffdfa751a0ff76cf8539cc86f5">ProfileFrameList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">ProfileHistory</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#aea38d758840964314040fca06d6d5b8">ProfileHistoryList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 ProfileHistoryList::iterator &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#f7b1ce44de5ccb78707fd4817879ea44">ProfileHistoryMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, bool &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#6d6694b6a2854055c1ca40efede9ce62">DisabledProfileMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#39b26412d70c6f1f11114cfcd1d0fce0">ProfileBarList</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#51c3aa09f7f5facae1a90868959723e0">initialize</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initializes the profiler's gui elements.  <a href="#51c3aa09f7f5facae1a90868959723e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#7eec1b1e20d542a5ecf30e68efcbd5ae">displayResults</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Prints the profiling results of each frame.  <a href="#7eec1b1e20d542a5ecf30e68efcbd5ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#5f3f0dff8d6cee3f9aed3fb44354ffec">processFrameStats</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Processes the profiler data after each frame.  <a href="#5f3f0dff8d6cee3f9aed3fb44354ffec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#27ba2410694ba3fd67ba6570d6aea52a">changeEnableState</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handles a change of the profiler's enabled state.  <a href="#27ba2410694ba3fd67ba6570d6aea52a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#871bb407f241675993146290a55e9359">createContainer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An internal function to create the container which will hold our display elements.  <a href="#871bb407f241675993146290a55e9359"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#0c7ccd5c4f51a7134e4eb264e39b433b">createTextArea</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> top, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> left, <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> fontSize, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;caption, bool show=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An internal function to create a text area.  <a href="#0c7ccd5c4f51a7134e4eb264e39b433b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#2c40711f65377196f2757c2c5756ce67">createPanel</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> top, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> left, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName, bool show=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An internal function to create a panel.  <a href="#2c40711f65377196f2757c2c5756ce67"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#abc874a9dc62ed84fb0315fd10f3ca4c">ProfileStack</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#7342bed28d571f2657b1a3f04ebd59e0">mProfiles</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A stack for each individual profile per frame.  <a href="#7342bed28d571f2657b1a3f04ebd59e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#c7a8f9ffdfa751a0ff76cf8539cc86f5">ProfileFrameList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#b6e938d9f36e20068d7f96073112fb77">mProfileFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Accumulates the results of each profile per frame (since a profile can be called more than once a frame).  <a href="#b6e938d9f36e20068d7f96073112fb77"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#aea38d758840964314040fca06d6d5b8">ProfileHistoryList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#28700bb39bbc70ec4ecac22050d13f2c">mProfileHistory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keeps track of the statistics of each profile.  <a href="#28700bb39bbc70ec4ecac22050d13f2c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#f7b1ce44de5ccb78707fd4817879ea44">ProfileHistoryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#ba7e5d0b1b2f41e1c63563d9d49eddba">mProfileHistoryMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">We use this for quick look-ups of profiles in the history list.  <a href="#ba7e5d0b1b2f41e1c63563d9d49eddba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#6d6694b6a2854055c1ca40efede9ce62">DisabledProfileMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#3d8be007a0ed8266c06bd27968b7974e">mDisabledProfiles</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the names of disabled profiles.  <a href="#3d8be007a0ed8266c06bd27968b7974e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Profiler.html#39b26412d70c6f1f11114cfcd1d0fce0">ProfileBarList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#b3865827e7b3ac4ad3b9b3e1fdda9d77">mProfileBars</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the display bars for each profile results.  <a href="#b3865827e7b3ac4ad3b9b3e1fdda9d77"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#8426a136e3fd6574b4b3afeca58fd5d9">mInitialized</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether the GUI elements have been initialized.  <a href="#8426a136e3fd6574b4b3afeca58fd5d9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#5b03134dbe6bb7a52f2edc1d5b66fe4c">maxProfiles</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The max number of profiles we can display.  <a href="#5b03134dbe6bb7a52f2edc1d5b66fe4c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#f0b84f8988fb21a9b1edb737687e1d55">mOverlay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The overlay which contains our profiler results display.  <a href="#f0b84f8988fb21a9b1edb737687e1d55"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#787571c7aff51fec80a5602a2e868a78">mProfileGui</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The window that displays the profiler results.  <a href="#787571c7aff51fec80a5602a2e868a78"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#093f84942dc4ceb8e959588dbcd2cde0">mBarHeight</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The height of each bar.  <a href="#093f84942dc4ceb8e959588dbcd2cde0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#01964e2873acf707b46ce955d4eaa481">mGuiHeight</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The height of the stats window.  <a href="#01964e2873acf707b46ce955d4eaa481"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#7aa7a6e1aefb5d3fda203ab2bbf2345b">mGuiWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The width of the stats window.  <a href="#7aa7a6e1aefb5d3fda203ab2bbf2345b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#d777b9d07a5f12464f1fa7c6ed7a21c1">mBarIndent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The size of the indent for each profile display bar.  <a href="#d777b9d07a5f12464f1fa7c6ed7a21c1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#9394507398be0a65c25bc90863eaf6c4">mGuiBorderWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The width of the border between the profile window and each bar.  <a href="#9394507398be0a65c25bc90863eaf6c4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#c914f52e30c8f425a50b1da30c3105a1">mBarLineWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The width of the min, avg, and max lines in a profile display.  <a href="#c914f52e30c8f425a50b1da30c3105a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#634f43e704803cbc4c4974d5363d3441">mUpdateDisplayFrequency</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of frames that must elapse before the current frame display is updated.  <a href="#634f43e704803cbc4c4974d5363d3441"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#342bdc46fd887e5c5a45806dfdd6be0b">mCurrentFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of elasped frame, used with mUpdateDisplayFrequency.  <a href="#342bdc46fd887e5c5a45806dfdd6be0b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Timer.html">Timer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#38b67a7679f11d7ececbeedc4f354a1f">mTimer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The timer used for profiling.  <a href="#38b67a7679f11d7ececbeedc4f354a1f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#044204c438fc5eec7806b586129cf70e">mTotalFrameTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The total time each frame takes.  <a href="#044204c438fc5eec7806b586129cf70e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#087887f554607555dbfc34111583bd41">mEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether this profiler is enabled.  <a href="#087887f554607555dbfc34111583bd41"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#dca0878a49bfc3a42f5a3329685b60d2">mEnableStateChangePending</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keeps track of whether this profiler has received a request to be enabled/disabled.  <a href="#dca0878a49bfc3a42f5a3329685b60d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html#1803e714976005d298d2742fec3e1a09">mNewEnableState</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Keeps track of the new enabled/disabled state that the user has requested which will be applied after the frame ends.  <a href="#1803e714976005d298d2742fec3e1a09"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">ProfileFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the total timing information of a profile since profiles can be called more than once each frame.  <a href="structOgre_1_1Profiler_1_1ProfileFrame.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">ProfileHistory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a history of each profile during the duration of the app.  <a href="structOgre_1_1Profiler_1_1ProfileHistory.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">ProfileInstance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents an individual profile call.  <a href="structOgre_1_1Profiler_1_1ProfileInstance.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
The profiler allows you to measure the performance of your code. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Do not create profiles directly from this unless you want a profile to last outside of its scope (ie the main game loop). For most cases, use the macro <a class="el" href="OgreProfiler_8h.html#1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile(name)</a> and braces to limit the scope. You must enable the <a class="el" href="classOgre_1_1Profile.html" title="An individual profile that will be processed by the Profiler.">Profile</a> before you can used it with setEnabled(true). If you want to disable profiling in <a class="el" href="namespaceOgre.html">Ogre</a>, simply set the macro OGRE_PROFILING to 0. </dd></dl>
<dl class="author" compact><dt><b>Author:</b></dt><dd>Amit Mathew (amitmathew (at) yahoo (dot) com) </dd></dl>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00103">103</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="abc874a9dc62ed84fb0315fd10f3ca4c"></a><!-- doxytag: member="Ogre::Profiler::ProfileStack" ref="abc874a9dc62ed84fb0315fd10f3ca4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">ProfileInstance</a>&gt; <a class="el" href="classOgre_1_1Profiler.html#abc874a9dc62ed84fb0315fd10f3ca4c">Ogre::Profiler::ProfileStack</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00330">330</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c7a8f9ffdfa751a0ff76cf8539cc86f5"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrameList" ref="c7a8f9ffdfa751a0ff76cf8539cc86f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">ProfileFrame</a>&gt; <a class="el" href="classOgre_1_1Profiler.html#c7a8f9ffdfa751a0ff76cf8539cc86f5">Ogre::Profiler::ProfileFrameList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00331">331</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="aea38d758840964314040fca06d6d5b8"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistoryList" ref="aea38d758840964314040fca06d6d5b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">ProfileHistory</a>&gt; <a class="el" href="classOgre_1_1Profiler.html#aea38d758840964314040fca06d6d5b8">Ogre::Profiler::ProfileHistoryList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00332">332</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f7b1ce44de5ccb78707fd4817879ea44"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistoryMap" ref="f7b1ce44de5ccb78707fd4817879ea44" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, ProfileHistoryList::iterator&gt; <a class="el" href="classOgre_1_1Profiler.html#f7b1ce44de5ccb78707fd4817879ea44">Ogre::Profiler::ProfileHistoryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00333">333</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d6694b6a2854055c1ca40efede9ce62"></a><!-- doxytag: member="Ogre::Profiler::DisabledProfileMap" ref="6d6694b6a2854055c1ca40efede9ce62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, bool&gt; <a class="el" href="classOgre_1_1Profiler.html#6d6694b6a2854055c1ca40efede9ce62">Ogre::Profiler::DisabledProfileMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00334">334</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="39b26412d70c6f1f11114cfcd1d0fce0"></a><!-- doxytag: member="Ogre::Profiler::ProfileBarList" ref="39b26412d70c6f1f11114cfcd1d0fce0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>*&gt; <a class="el" href="classOgre_1_1Profiler.html#39b26412d70c6f1f11114cfcd1d0fce0">Ogre::Profiler::ProfileBarList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00336">336</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a35c96681ded2faf493defa432ce6a04"></a><!-- doxytag: member="Ogre::Profiler::Profiler" ref="a35c96681ded2faf493defa432ce6a04" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Profiler::Profiler           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="45e1f8ac11468a9322148be4e22e85de"></a><!-- doxytag: member="Ogre::Profiler::~Profiler" ref="45e1f8ac11468a9322148be4e22e85de" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Profiler::~Profiler           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="53a2d2681a3995555df6d789c5596381"></a><!-- doxytag: member="Ogre::Profiler::setTimer" ref="53a2d2681a3995555df6d789c5596381" args="(Timer *t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::setTimer           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Timer.html">Timer</a> *&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the timer for the profiler. 
<p>

</div>
</div><p>
<a class="anchor" name="135db4d26db8d359fb77d20189379bd7"></a><!-- doxytag: member="Ogre::Profiler::getTimer" ref="135db4d26db8d359fb77d20189379bd7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html">Timer</a>* Ogre::Profiler::getTimer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the timer for the profiler. 
<p>

</div>
</div><p>
<a class="anchor" name="e58e29b4abda1e9333bb56cea58ef737"></a><!-- doxytag: member="Ogre::Profiler::beginProfile" ref="e58e29b4abda1e9333bb56cea58ef737" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::beginProfile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Begins a profile. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Use the macro <a class="el" href="OgreProfiler_8h.html#f9d7ab83c5a5d7de7579eebe9d27e53d">OgreProfileBegin(name)</a> instead of calling this directly so that profiling can be ignored in the release version of your app. <p>
You only use the macro (or this) if you want a profile to last outside of its scope (ie the main game loop). If you use this function, make sure you use a corresponding <a class="el" href="OgreProfiler_8h.html#292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd(name)</a>. Usually you would use the macro <a class="el" href="OgreProfiler_8h.html#1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile(name)</a>. This function will be ignored for a profile that has been disabled or if the profiler is disabled. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>profileName</em>&nbsp;</td><td>Must be unique and must not be an empty string </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="566da4faffe1302c754596b980114e24"></a><!-- doxytag: member="Ogre::Profiler::endProfile" ref="566da4faffe1302c754596b980114e24" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::endProfile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Ends a profile. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Use the macro <a class="el" href="OgreProfiler_8h.html#292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd(name)</a> instead of calling this directly so that profiling can be ignored in the release version of your app. <p>
This function is usually not called directly unless you want a profile to last outside of its scope. In most cases, using the macro <a class="el" href="OgreProfiler_8h.html#1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile(name)</a> which will call this function automatically when it goes out of scope. Make sure the name of this profile matches its corresponding beginProfile name. This function will be ignored for a profile that has been disabled or if the profiler is disabled. </dd></dl>

</div>
</div><p>
<a class="anchor" name="91c40e21a3fc96003504ea21fec80d77"></a><!-- doxytag: member="Ogre::Profiler::setEnabled" ref="91c40e21a3fc96003504ea21fec80d77" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::setEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether this profiler is enabled. 
<p>
Only takes effect after the the frame has ended. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>When this is called the first time with the parameter true, it initializes the GUI for the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="ca476edd8f31cd3f456899f4d94b4d50"></a><!-- doxytag: member="Ogre::Profiler::getEnabled" ref="ca476edd8f31cd3f456899f4d94b4d50" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Profiler::getEnabled           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether this profiler is enabled. 
<p>

</div>
</div><p>
<a class="anchor" name="52e2f0d3530febbbf7199173d91ad4e2"></a><!-- doxytag: member="Ogre::Profiler::enableProfile" ref="52e2f0d3530febbbf7199173d91ad4e2" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::enableProfile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Enables a previously disabled profile. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only enables the profile if this function is not called during the profile it is trying to enable. </dd></dl>

</div>
</div><p>
<a class="anchor" name="144fc3944f41b1198a44590beda4ce3f"></a><!-- doxytag: member="Ogre::Profiler::disableProfile" ref="144fc3944f41b1198a44590beda4ce3f" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::disableProfile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Disables a profile. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only disables the profile if this function is not called during the profile it is trying to disable. </dd></dl>

</div>
</div><p>
<a class="anchor" name="fc737d10ba6b5732df9a538a196ee3e6"></a><!-- doxytag: member="Ogre::Profiler::watchForMax" ref="fc737d10ba6b5732df9a538a196ee3e6" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Profiler::watchForMax           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the specified profile reaches a new frame time maximum. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this is called during a frame, it will be reading the results from the previous frame. Therefore, it is best to use this after the frame has ended. </dd></dl>

</div>
</div><p>
<a class="anchor" name="d37efd3a99cf736a0424fd0c1c92efb4"></a><!-- doxytag: member="Ogre::Profiler::watchForMin" ref="d37efd3a99cf736a0424fd0c1c92efb4" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Profiler::watchForMin           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the specified profile reaches a new frame time minimum. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this is called during a frame, it will be reading the results from the previous frame. Therefore, it is best to use this after the frame has ended. </dd></dl>

</div>
</div><p>
<a class="anchor" name="dfd868a7f9213baece5687bd36e23279"></a><!-- doxytag: member="Ogre::Profiler::watchForLimit" ref="dfd868a7f9213baece5687bd36e23279" args="(const String &amp;profileName, Real limit, bool greaterThan=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Profiler::watchForLimit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>limit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>greaterThan</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the specified profile goes over or under the given limit frame time. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this is called during a frame, it will be reading the results from the previous frame. Therefore, it is best to use this after the frame has ended. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>limit</em>&nbsp;</td><td>A number between 0 and 1 representing the percentage of frame time </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>greaterThan</em>&nbsp;</td><td>If true, this will return whether the limit is exceeded. Otherwise, it will return if the frame time has gone under this limit. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="456a0f133ccea3eb515626edd22963ec"></a><!-- doxytag: member="Ogre::Profiler::logResults" ref="456a0f133ccea3eb515626edd22963ec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::logResults           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Outputs current profile statistics to the log. 
<p>

</div>
</div><p>
<a class="anchor" name="df2570f07addb553a852a003c97fdc12"></a><!-- doxytag: member="Ogre::Profiler::reset" ref="df2570f07addb553a852a003c97fdc12" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::reset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears the profiler statistics. 
<p>

</div>
</div><p>
<a class="anchor" name="c29d425e0f0b531f2c7f643907c9402d"></a><!-- doxytag: member="Ogre::Profiler::setUpdateDisplayFrequency" ref="c29d425e0f0b531f2c7f643907c9402d" args="(uint freq)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::setUpdateDisplayFrequency           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td>
          <td class="paramname"> <em>freq</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> so the display of results are updated ever n frames. 
<p>

</div>
</div><p>
<a class="anchor" name="bf15da1111321dc8604e53b606664815"></a><!-- doxytag: member="Ogre::Profiler::getUpdateDisplayFrequency" ref="bf15da1111321dc8604e53b606664815" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> Ogre::Profiler::getUpdateDisplayFrequency           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the frequency that the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> display is updated. 
<p>

</div>
</div><p>
<a class="anchor" name="aa925dad8392fe140d017a5766f3cd49"></a><!-- doxytag: member="Ogre::Profiler::getSingleton" ref="aa925dad8392fe140d017a5766f3cd49" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Profiler.html">Profiler</a>&amp; Ogre::Profiler::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="01ec79ba4ba7a539bfd742e120c1ff21"></a><!-- doxytag: member="Ogre::Profiler::getSingletonPtr" ref="01ec79ba4ba7a539bfd742e120c1ff21" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Profiler.html">Profiler</a>* Ogre::Profiler::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="51c3aa09f7f5facae1a90868959723e0"></a><!-- doxytag: member="Ogre::Profiler::initialize" ref="51c3aa09f7f5facae1a90868959723e0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::initialize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Initializes the profiler's gui elements. 
<p>

</div>
</div><p>
<a class="anchor" name="7eec1b1e20d542a5ecf30e68efcbd5ae"></a><!-- doxytag: member="Ogre::Profiler::displayResults" ref="7eec1b1e20d542a5ecf30e68efcbd5ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::displayResults           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Prints the profiling results of each frame. 
<p>

</div>
</div><p>
<a class="anchor" name="5f3f0dff8d6cee3f9aed3fb44354ffec"></a><!-- doxytag: member="Ogre::Profiler::processFrameStats" ref="5f3f0dff8d6cee3f9aed3fb44354ffec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::processFrameStats           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Processes the profiler data after each frame. 
<p>

</div>
</div><p>
<a class="anchor" name="27ba2410694ba3fd67ba6570d6aea52a"></a><!-- doxytag: member="Ogre::Profiler::changeEnableState" ref="27ba2410694ba3fd67ba6570d6aea52a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Profiler::changeEnableState           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Handles a change of the profiler's enabled state. 
<p>

</div>
</div><p>
<a class="anchor" name="871bb407f241675993146290a55e9359"></a><!-- doxytag: member="Ogre::Profiler::createContainer" ref="871bb407f241675993146290a55e9359" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>* Ogre::Profiler::createContainer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
An internal function to create the container which will hold our display elements. 
<p>

</div>
</div><p>
<a class="anchor" name="0c7ccd5c4f51a7134e4eb264e39b433b"></a><!-- doxytag: member="Ogre::Profiler::createTextArea" ref="0c7ccd5c4f51a7134e4eb264e39b433b" args="(const String &amp;name, Real width, Real height, Real top, Real left, uint fontSize, const String &amp;caption, bool show=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::Profiler::createTextArea           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td>
          <td class="paramname"> <em>fontSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>caption</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>show</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
An internal function to create a text area. 
<p>

</div>
</div><p>
<a class="anchor" name="2c40711f65377196f2757c2c5756ce67"></a><!-- doxytag: member="Ogre::Profiler::createPanel" ref="2c40711f65377196f2757c2c5756ce67" args="(const String &amp;name, Real width, Real height, Real top, Real left, const String &amp;materialName, bool show=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::Profiler::createPanel           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>materialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>show</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
An internal function to create a panel. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7342bed28d571f2657b1a3f04ebd59e0"></a><!-- doxytag: member="Ogre::Profiler::mProfiles" ref="7342bed28d571f2657b1a3f04ebd59e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#abc874a9dc62ed84fb0315fd10f3ca4c">ProfileStack</a> <a class="el" href="classOgre_1_1Profiler.html#7342bed28d571f2657b1a3f04ebd59e0">Ogre::Profiler::mProfiles</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A stack for each individual profile per frame. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00339">339</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6e938d9f36e20068d7f96073112fb77"></a><!-- doxytag: member="Ogre::Profiler::mProfileFrame" ref="b6e938d9f36e20068d7f96073112fb77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#c7a8f9ffdfa751a0ff76cf8539cc86f5">ProfileFrameList</a> <a class="el" href="classOgre_1_1Profiler.html#b6e938d9f36e20068d7f96073112fb77">Ogre::Profiler::mProfileFrame</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Accumulates the results of each profile per frame (since a profile can be called more than once a frame). 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00343">343</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="28700bb39bbc70ec4ecac22050d13f2c"></a><!-- doxytag: member="Ogre::Profiler::mProfileHistory" ref="28700bb39bbc70ec4ecac22050d13f2c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#aea38d758840964314040fca06d6d5b8">ProfileHistoryList</a> <a class="el" href="classOgre_1_1Profiler.html#28700bb39bbc70ec4ecac22050d13f2c">Ogre::Profiler::mProfileHistory</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keeps track of the statistics of each profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00346">346</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba7e5d0b1b2f41e1c63563d9d49eddba"></a><!-- doxytag: member="Ogre::Profiler::mProfileHistoryMap" ref="ba7e5d0b1b2f41e1c63563d9d49eddba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#f7b1ce44de5ccb78707fd4817879ea44">ProfileHistoryMap</a> <a class="el" href="classOgre_1_1Profiler.html#ba7e5d0b1b2f41e1c63563d9d49eddba">Ogre::Profiler::mProfileHistoryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
We use this for quick look-ups of profiles in the history list. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00349">349</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d8be007a0ed8266c06bd27968b7974e"></a><!-- doxytag: member="Ogre::Profiler::mDisabledProfiles" ref="3d8be007a0ed8266c06bd27968b7974e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#6d6694b6a2854055c1ca40efede9ce62">DisabledProfileMap</a> <a class="el" href="classOgre_1_1Profiler.html#3d8be007a0ed8266c06bd27968b7974e">Ogre::Profiler::mDisabledProfiles</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Holds the names of disabled profiles. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00352">352</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b3865827e7b3ac4ad3b9b3e1fdda9d77"></a><!-- doxytag: member="Ogre::Profiler::mProfileBars" ref="b3865827e7b3ac4ad3b9b3e1fdda9d77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Profiler.html#39b26412d70c6f1f11114cfcd1d0fce0">ProfileBarList</a> <a class="el" href="classOgre_1_1Profiler.html#b3865827e7b3ac4ad3b9b3e1fdda9d77">Ogre::Profiler::mProfileBars</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Holds the display bars for each profile results. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00355">355</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8426a136e3fd6574b4b3afeca58fd5d9"></a><!-- doxytag: member="Ogre::Profiler::mInitialized" ref="8426a136e3fd6574b4b3afeca58fd5d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Profiler.html#8426a136e3fd6574b4b3afeca58fd5d9">Ogre::Profiler::mInitialized</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether the GUI elements have been initialized. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00358">358</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5b03134dbe6bb7a52f2edc1d5b66fe4c"></a><!-- doxytag: member="Ogre::Profiler::maxProfiles" ref="5b03134dbe6bb7a52f2edc1d5b66fe4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1Profiler.html#5b03134dbe6bb7a52f2edc1d5b66fe4c">Ogre::Profiler::maxProfiles</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The max number of profiles we can display. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00361">361</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f0b84f8988fb21a9b1edb737687e1d55"></a><!-- doxytag: member="Ogre::Profiler::mOverlay" ref="f0b84f8988fb21a9b1edb737687e1d55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a>* <a class="el" href="classOgre_1_1Profiler.html#f0b84f8988fb21a9b1edb737687e1d55">Ogre::Profiler::mOverlay</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The overlay which contains our profiler results display. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00364">364</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="787571c7aff51fec80a5602a2e868a78"></a><!-- doxytag: member="Ogre::Profiler::mProfileGui" ref="787571c7aff51fec80a5602a2e868a78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>* <a class="el" href="classOgre_1_1Profiler.html#787571c7aff51fec80a5602a2e868a78">Ogre::Profiler::mProfileGui</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The window that displays the profiler results. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00367">367</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="093f84942dc4ceb8e959588dbcd2cde0"></a><!-- doxytag: member="Ogre::Profiler::mBarHeight" ref="093f84942dc4ceb8e959588dbcd2cde0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#093f84942dc4ceb8e959588dbcd2cde0">Ogre::Profiler::mBarHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The height of each bar. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00370">370</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01964e2873acf707b46ce955d4eaa481"></a><!-- doxytag: member="Ogre::Profiler::mGuiHeight" ref="01964e2873acf707b46ce955d4eaa481" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#01964e2873acf707b46ce955d4eaa481">Ogre::Profiler::mGuiHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The height of the stats window. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00373">373</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7aa7a6e1aefb5d3fda203ab2bbf2345b"></a><!-- doxytag: member="Ogre::Profiler::mGuiWidth" ref="7aa7a6e1aefb5d3fda203ab2bbf2345b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#7aa7a6e1aefb5d3fda203ab2bbf2345b">Ogre::Profiler::mGuiWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The width of the stats window. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00376">376</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d777b9d07a5f12464f1fa7c6ed7a21c1"></a><!-- doxytag: member="Ogre::Profiler::mBarIndent" ref="d777b9d07a5f12464f1fa7c6ed7a21c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#d777b9d07a5f12464f1fa7c6ed7a21c1">Ogre::Profiler::mBarIndent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The size of the indent for each profile display bar. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00379">379</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9394507398be0a65c25bc90863eaf6c4"></a><!-- doxytag: member="Ogre::Profiler::mGuiBorderWidth" ref="9394507398be0a65c25bc90863eaf6c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#9394507398be0a65c25bc90863eaf6c4">Ogre::Profiler::mGuiBorderWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The width of the border between the profile window and each bar. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00382">382</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c914f52e30c8f425a50b1da30c3105a1"></a><!-- doxytag: member="Ogre::Profiler::mBarLineWidth" ref="c914f52e30c8f425a50b1da30c3105a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Profiler.html#c914f52e30c8f425a50b1da30c3105a1">Ogre::Profiler::mBarLineWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The width of the min, avg, and max lines in a profile display. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00385">385</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="634f43e704803cbc4c4974d5363d3441"></a><!-- doxytag: member="Ogre::Profiler::mUpdateDisplayFrequency" ref="634f43e704803cbc4c4974d5363d3441" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1Profiler.html#634f43e704803cbc4c4974d5363d3441">Ogre::Profiler::mUpdateDisplayFrequency</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of frames that must elapse before the current frame display is updated. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00389">389</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="342bdc46fd887e5c5a45806dfdd6be0b"></a><!-- doxytag: member="Ogre::Profiler::mCurrentFrame" ref="342bdc46fd887e5c5a45806dfdd6be0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1Profiler.html#342bdc46fd887e5c5a45806dfdd6be0b">Ogre::Profiler::mCurrentFrame</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of elasped frame, used with mUpdateDisplayFrequency. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00392">392</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="38b67a7679f11d7ececbeedc4f354a1f"></a><!-- doxytag: member="Ogre::Profiler::mTimer" ref="38b67a7679f11d7ececbeedc4f354a1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html">Timer</a>* <a class="el" href="classOgre_1_1Profiler.html#38b67a7679f11d7ececbeedc4f354a1f">Ogre::Profiler::mTimer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The timer used for profiling. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00395">395</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="044204c438fc5eec7806b586129cf70e"></a><!-- doxytag: member="Ogre::Profiler::mTotalFrameTime" ref="044204c438fc5eec7806b586129cf70e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="classOgre_1_1Profiler.html#044204c438fc5eec7806b586129cf70e">Ogre::Profiler::mTotalFrameTime</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The total time each frame takes. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00398">398</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="087887f554607555dbfc34111583bd41"></a><!-- doxytag: member="Ogre::Profiler::mEnabled" ref="087887f554607555dbfc34111583bd41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Profiler.html#087887f554607555dbfc34111583bd41">Ogre::Profiler::mEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether this profiler is enabled. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00401">401</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dca0878a49bfc3a42f5a3329685b60d2"></a><!-- doxytag: member="Ogre::Profiler::mEnableStateChangePending" ref="dca0878a49bfc3a42f5a3329685b60d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Profiler.html#dca0878a49bfc3a42f5a3329685b60d2">Ogre::Profiler::mEnableStateChangePending</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keeps track of whether this profiler has received a request to be enabled/disabled. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00405">405</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1803e714976005d298d2742fec3e1a09"></a><!-- doxytag: member="Ogre::Profiler::mNewEnableState" ref="1803e714976005d298d2742fec3e1a09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Profiler.html#1803e714976005d298d2742fec3e1a09">Ogre::Profiler::mNewEnableState</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Keeps track of the new enabled/disabled state that the user has requested which will be applied after the frame ends. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00409">409</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::Profiler::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:53 2008
</p>
</body>
</html>
